cpw.mods.fml.relauncher

## Enum Side

- java.lang.Object
- - java.lang.Enum<Side>
  - - cpw.mods.fml.relauncher.Side

- All Implemented Interfaces:
    Serializable, Comparable<Side>

      public enum Side
      extends Enum<Side>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT` The client side.
    `SERVER` The server side.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isClient()`
    `boolean` | `isServer()`
    `static Side` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final Side CLIENT

      The client side. Specifically, an environment where rendering capability exists. Usually in the game client.

    - #### SERVER

          public static final Side SERVER

      The server side. Specifically, an environment where NO rendering capability exists. Usually on the dedicated server.

  - ### Method Detail

    - #### values

          public static Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Side c : Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Side valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isServer

          public boolean isServer()

      Returns:
        If this is the server environment

    - #### isClient

          public boolean isClient()

      Returns:
        if this is the Client environment